'use strict';

const kimlikApi = require('./kimlikApi-1cd43caf.js');

function unauthorized() {
  const error = new kimlikApi.ApiError('network');
  error.status = 401;
  return error;
}
function notFound() {
  const error = new kimlikApi.ApiError('network');
  error.status = 404;
  return error;
}
function notImplemented(message = '') {
  const error = new kimlikApi.ApiError('network');
  error.status = 501;
  error.statusText = message;
  return error;
}

exports.notFound = notFound;
exports.notImplemented = notImplemented;
exports.unauthorized = unauthorized;
